package com.sw.mes.yb.seed.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.seed.dao.SeedPaintingLineDao;
import com.sw.mes.yb.seed.entity.SeedPaintingLine;
import com.sw.mes.yb.seed.service.SeedPaintingLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SeedPaintingLineServiceImpl  extends BaseServiceImpl<SeedPaintingLine> implements SeedPaintingLineService {
    private SeedPaintingLineDao dao;

    @Autowired
    public void setDao(SeedPaintingLineDao dao) {
        this.dao = dao;
        super.setBaseDao(dao);
    }

    @Override
    public SeedPaintingLine findByRuleName(String ruleName) {
        return dao.findByRuleName(ruleName);
    }
}
